function updateAll() {
  if (confirm(confirmMsg)) {
    extList = [];
    jQuery('.updateExtension').each( function() {
      if (jQuery(this).parents('div').css('display') == 'block') {
        extList.push(jQuery(this).attr('onClick'));
      }
    });
    if (extList.length > 0) eval(extList[0]);
  }
};

function resetIgnored() {
  jQuery.ajax({
    type: 'GET',
    url: 'ws.php',
    dataType: 'json',
    data: { method: 'pwg.extensions.ignoreUpdates', reset: true, pwg_token: pwg_token, format: 'json' },
    success: function(data) {
      if (data['stat'] == 'ok') {
        jQuery(".pluginBox, fieldset").show();
        jQuery("#update_all").show();
        jQuery("#up_to_date").hide();
        jQuery("#reset_ignore").hide();
        jQuery("#ignored").hide();
        checkFieldsets();
      }
    }
  });
};

function checkFieldsets() {
  var types = new Array('plugin', 'theme', 'language');
  var total = 0;
  var ignored = 0;
  for (i=0;i<3;i++) {
    nbExtensions = 0;
    jQuery("div[id^='"+types[i]+"_']").each(function(index) {
      if (jQuery(this).css('display') == 'block')
        nbExtensions++;
      else
        ignored++;
    });
    total = total + nbExtensions;
    if (nbExtensions == 0)
      jQuery("#"+types[i]+"s").hide();
  }

  if (total == 0) {
    jQuery("#update_all").hide();
    jQuery("#up_to_date").show();
  }
  if (ignored > 0) {
    jQuery("#reset_ignore").val(restoreMsg + ' (' + ignored + ')');
  }
};

function upgradeExtension(type, id, revision) {
  jQuery('.autoupdate_bar').toggle();
  jQuery.ajax({
    type: 'GET',
    url: 'ws.php',
    data: { method: 'pwg.'+type+'s.update', id: id, revision: revision, pwg_token: pwg_token, format: 'json' },
    success: function(data) {
      if (data['stat'] == 'ok') {
        jQuery("#"+type+"_"+id).remove();
        checkFieldsets();
        jQuery.jGrowl(
          data['result'],
          {
            theme:  'success',
            header: successHead,
            life:   4000,
            sticky: false
          }
        );
        if (extList.length > 0) extList.shift();
        if (extList.length > 0) eval(extList[0]);
      } else {
        jQuery.jGrowl(
          data['result'],
          {
            theme:  'error',
            header: errorHead,
            sticky: true
          }
        );
        extList = [];
      }
      jQuery('.autoupdate_bar').toggle();
    },
    error: function(data) {
      jQuery.jGrowl(
        errorMsg,
        {
          theme:  'error',
          header: errorHead,
          sticky: true
        }
      );
      extList = [];
      jQuery('.autoupdate_bar').toggle();
    },
    dataType: 'json'
  });
};

function ignoreExtension(type, id) {
  jQuery.ajax({
    type: 'GET',
    url: 'ws.php',
    dataType: 'json',
    data: { method: 'pwg.extensions.ignoreUpdates', type: type+'s', id: id, pwg_token: pwg_token, format: 'json' },
    success: function(data) {
      if (data['stat'] == 'ok') {
        jQuery("#"+type+"_"+id).hide();
        jQuery("#reset_ignore").show();
        checkFieldsets();
      }
    }
  });
};